Register a guest to a workshop

Purpose: Use this API to register a guest to a workshop.

You must specify workshop_id, along with the body params track_id, guest_id, and center_id.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Response Object

NameTypeDescription
registrationsobjectObject containing the registration details of the guest.

registrations Object

NameTypeDescription
ididIdentifier of the guest's registration
statusenumStatus of the registration.

error Object

CodeMessageDescription
1004SessionId/Workshop Details/user id/ center id were not passed. Please check the input params.Error occurs when the body params are not passed.
1001Workshop is invalidWhen the workshop_id is invalid.
502The track passed is not associated with the passed workshopWhen the track_id is not associated with the workshop.
1010Guest is already enrolled to the workshop or is on the waiting listWhen the guest is already enrolled.
1009Workshop is not open for registrations, cannot add guest to waitlistWhen the workshop is not yet open for registrations or waitlist entries.
1009Workshop is not open for registrations, cannot register to classWhen the workshop is not yet open for registrations.
1011Workshop capacity exceeded, cannot register to WorkshopWhen the capacity of the workshop is met and cannot accomodate additional registrations.
Path Params
string
required

Unique identifier of the workshop for which you are registering the guest.

Body Params
int32
required

Id of the track associated with the workshop.

string
required

Unique identifier of the guest whom you are registering for the workshop.

string
required

Unique identifier of the center where the guest is registering for a workshop.

boolean

(Optional) Use this param if you want to add the guest to the waitlist instead of registering the guest. True: Add the guest to the waitlist. False: If action is to register the guest and not to add in the waitlist.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json